Bug 58426 - Improve display of JMeter on high resolution devices (HiDPI) (part 1 of enhancement)
Summary: Improve display of JMeter on high resolution devices (HiDPI) (part 1 of enhan...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.13
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
: 59366 (view as bug list)
Depends on:
Blocks: 59168
  Show dependency tree
 
Reported: 2015-09-17 13:10 UTC by Nick M
Modified: 2016-04-22 08:45 UTC (History)
3 users (show)



Attachments
mac hdpi screenshot (30.66 KB, image/png)
2015-12-02 15:04 UTC, benoit.wiart
Details
Screenshot of JMeter with Windows LAF on Windows 10 JAVA8 1.8_0_66 (40.59 KB, image/png)
2015-12-04 21:05 UTC, Philippe Mouawad
Details
Screenshot of JMeter 2.14-snapshot with Linux/Java8/GTK+(gnome) several issue with hidpi (141.29 KB, image/png)
2016-01-03 12:07 UTC, Milamber
Details
Compare HiDPI version of JMeter with GTK look&feel and JMeter with CrossPlatform (on Linux) (277.17 KB, image/png)
2016-01-03 17:09 UTC, Milamber
Details
JMETER_NO_HDPI_RETINA_BEST_DISPLAY (314.98 KB, image/png)
2016-01-04 21:09 UTC, Philippe Mouawad
Details
JMETER_HDPI_toolbar-32x32-tree-19x19_RETINA_BEST_DISPLAY (415.48 KB, image/png)
2016-01-04 21:09 UTC, Philippe Mouawad
Details
JMETER_HDPI_toolbar-32x32-tree-19x19_Scaled_DISPLAY-1680x1050 (460.08 KB, image/png)
2016-01-04 21:10 UTC, Philippe Mouawad
Details
JMETER_HDPI_toolbar-32x32-tree-24x24_Scaled_DISPLAY-1680x1050 (634.75 KB, image/png)
2016-01-04 21:10 UTC, Philippe Mouawad
Details
Screenshot of OSX build, icons are too big, abstractmethoderror (379.99 KB, image/png)
2016-02-09 20:54 UTC, Vladimir Sitnikov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick M 2015-09-17 13:10:03 UTC
The interface sizes - font sizes and icon sizes - are not using DPI scaling, therefore on a high resolution device (e.g. Yoga 3) everything appears too small. The "Windows" look and feel option is the only one that had improved font scaling, though nothing else.

By not correcting this JMeter becomes very difficult to use on some devices and is also inconsistent across devices and platforms.
Comment 1 Milamber 2015-09-17 17:57:14 UTC
Since JMeter 2.13, we have introduce a new property to change the Icons size.

Please see:
http://jmeter.apache.org/changes.html (use Toolbar keyword)

(the bugzilla: https://bz.apache.org/bugzilla/show_bug.cgi?id=57518)

For font, use the options provide by OS and/or the Java Look and feel (Native, GTK, etc)


Please use the user mailing or dev if you have some issues with your high dpi screen

http://jmeter.apache.org/mail2.html

*** This bug has been marked as a duplicate of bug 57518 ***
Comment 2 Nick M 2015-09-18 09:22:49 UTC
Not sure that is correct. The additional icon sizes are great - allowing for people who would rather have larger icons for accessibility purposes. This is not the same as correct scaling across different DPI resolutions, this should be natively processed. ADDITIONALLY changing the chosen icon size has nothing to do with the font sizes throughout the application, for example the left panel (Test Plan & Workbench) is barely readable.

I consider this is still an open bug because regardless of any ability to up/down scale as a preference in the options, though useful, is not a solution to incorrect handling of screen resolution.
Comment 3 Philippe Mouawad 2015-09-22 21:51:58 UTC
I see many places in code where font size is hardcoded (TreeCellRenderer in MainFrame...), this could explain some issues.
Comment 4 Philippe Mouawad 2015-12-01 20:42:38 UTC
Date: Tue Dec  1 20:42:19 2015
New Revision: 1717522

URL: http://svn.apache.org/viewvc?rev=1717522&view=rev
Log:
Bug 58426 - use DPI scaling of interface for high resolution devices
Remove hard code size
Bugzilla Id: 58426

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/gui/MainFrame.java
Comment 5 benoit.wiart 2015-12-02 15:04:14 UTC
Nick M is right. All the icons look blurry on a hdpi display
see screenshot
Comment 6 benoit.wiart 2015-12-02 15:04:44 UTC
Created attachment 33319 [details]
mac hdpi screenshot
Comment 7 benoit.wiart 2015-12-03 09:14:48 UTC
@Nick M could you provide some screenshots ?
Comment 8 Philippe Mouawad 2015-12-04 21:05:13 UTC
Created attachment 33325 [details]
Screenshot of JMeter with Windows LAF on Windows 10 JAVA8 1.8_0_66
Comment 9 Milamber 2016-01-03 12:06:45 UTC
URL: http://svn.apache.org/viewvc?rev=1722714&view=rev
Log:
Change fixed font size for small fonts to a percent of defaut label font size
Bugzilla Id: 58426

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/AxisGraph.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RespTimeGraphVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SearchTextExtension.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatGraphVisualizer.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/SearchTreeDialog.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/SelectTemplatesDialog.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/FilePanelEntry.java
    jmeter/trunk/src/monitor/components/org/apache/jmeter/visualizers/MonitorPerformancePanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/config/gui/UrlConfigGui.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/gui/HttpTestSampleGui.java
Comment 10 Milamber 2016-01-03 12:07:55 UTC
Created attachment 33395 [details]
Screenshot of JMeter 2.14-snapshot with Linux/Java8/GTK+(gnome) several issue with hidpi
Comment 11 Milamber 2016-01-03 16:06:04 UTC

This branch [1] change the default icons for the JMeter tree to have several size (19x19, 24x24, 32x32 and 48x48) for the new icons (from open_icon_library-CC)

In user.properties (at the end of file), you can find the properties to change the tree icons size and toolbar size :

#Default values  ==> comment these lines
jmeter.toolbar.icons.size=48x48
jmeter.icons=org/apache/jmeter/images/icon_new.properties
jmeter.tree.icons.size=32x32


Please try on your computer (linux/mac/win) with the default values to check the display.

If you have a Linux, use GTK+ look&feel instead of CrossPlatform to allow HiDPI (if your computer have a HiDPI screen)

[1] https://github.com/milamberspace/jmeter/tree/HiDPI_changes_1
Comment 12 Milamber 2016-01-03 17:09:13 UTC
Created attachment 33396 [details]
Compare HiDPI version of JMeter with GTK look&feel and JMeter with CrossPlatform (on Linux)
Comment 13 Milamber 2016-01-03 18:53:18 UTC
If you want test without building JMeter (with 48x48 toolbar icons and 32x32 tree icons):

http://www.milamberspace.net/hidpi/apache-jmeter-2.14-SNAPSHOT.tgz

or

http://www.milamberspace.net/hidpi/apache-jmeter-2.14-SNAPSHOT.zip

All feedback are welcome.
Comment 14 Philippe Mouawad 2016-01-04 21:08:51 UTC
Hi,
Using:
jmeter.toolbar.icons.size=32x32
jmeter.icons=org/apache/jmeter/images/icon_new.properties
jmeter.tree.icons.size=24x24

In Scaled Display 1680x1050:
I get attached screenshot:
- Some icons are cropped, see JMETER_HDPI_toolbar-32x32-tree-24x24_Scaled_DISPLAY-1680x1050.png


It is ok with
jmeter.tree.icons.size=19x19
See JMETER_HDPI_toolbar-32x32-tree-19x19_Scaled_DISPLAY-1680x1050.png

In Mac Best(Retina), the right top is cropped , I don't see the green button , see JMETER_HDPI_toolbar-32x32-tree-19x19_RETINA_BEST_DISPLAY.png.
No problem with current trunk, see JMETER_NO_HDPI_RETINA_BEST_DISPLAY.png
Comment 15 Philippe Mouawad 2016-01-04 21:09:24 UTC
Created attachment 33400 [details]
JMETER_NO_HDPI_RETINA_BEST_DISPLAY
Comment 16 Philippe Mouawad 2016-01-04 21:09:48 UTC
Created attachment 33401 [details]
JMETER_HDPI_toolbar-32x32-tree-19x19_RETINA_BEST_DISPLAY
Comment 17 Philippe Mouawad 2016-01-04 21:10:07 UTC
Created attachment 33402 [details]
JMETER_HDPI_toolbar-32x32-tree-19x19_Scaled_DISPLAY-1680x1050
Comment 18 Philippe Mouawad 2016-01-04 21:10:28 UTC
Created attachment 33403 [details]
JMETER_HDPI_toolbar-32x32-tree-24x24_Scaled_DISPLAY-1680x1050
Comment 19 Milamber 2016-01-10 23:21:43 UTC
I will just update my branch [1] with 2 new properties to try to fix the issue with the height of the rows in tables.

# HiDPI mode (default: false)
# Enable to activate a 'pseudo'-hidpi mode. Allow to increase some UI element
# which not correctly manage by Java with high resolution screen
#jmeter.hidpi.mode=false
# HiDPI scale factor (default: 1.0)
# The scale factor to increase the size in HiDPI mode
#jmeter.hidpi.scale.factor=1.0



In user.properties (at the end of file), you can find the properties to change the "hidpi" properties:

#Default values  ==> comment these lines
# kind of hidpi mode for Linux/Windows
jmeter.hidpi.mode=true
jmeter.hidpi.scale.factor=2.0



Please try on your computer (linux/mac/win) with the default values to check the display.

If you have a Linux, use GTK+ look&feel instead of CrossPlatform to allow HiDPI (if your computer have a HiDPI screen)



If you want test without building JMeter (updated today):

http://www.milamberspace.net/hidpi/apache-jmeter-2.14-SNAPSHOT.tgz

or

http://www.milamberspace.net/hidpi/apache-jmeter-2.14-SNAPSHOT.zip


[1] https://github.com/milamberspace/jmeter/tree/HiDPI_changes_1
Comment 20 Vladimir Sitnikov 2016-02-09 20:54:57 UTC
Created attachment 33543 [details]
Screenshot of OSX build, icons are too big, abstractmethoderror

I've tested the patch in OSX 10.11, java 1.8u66.
It looks strange: certain icons are way too big.

Side issue: Dummy sampler throws AbstractMethodError
Comment 21 benoit.wiart 2016-02-09 21:29:04 UTC
First thank you for your work on this bug.
But for macosx the current implementation makes it unusable.
hdpi / retina is hard and not standardized on all platforms.

You should probably use the @2x, @3x convention for the images instead of the <SIZE> hack.

Some help, it's old and only cover macos but ...
http://bulenkov.com/2013/06/23/retina-support-in-oracle-jdk-1-7/
http://bulenkov.com/iconloader/
Comment 22 Milamber 2016-03-05 14:14:40 UTC
URL: http://svn.apache.org/viewvc?rev=1733718&view=rev
Log:
Use DPI scaling of interface for high resolution devices (HiDPI support for Windows/Linux)

See https://github.com/apache/jmeter/pull/159

This closes #159
Bugzilla Id: 58426

Added:
    jmeter/trunk/src/core/org/apache/jmeter/images/icon_old.properties   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/status/
    jmeter/trunk/src/core/org/apache/jmeter/images/status/22x22/
    jmeter/trunk/src/core/org/apache/jmeter/images/status/32x32/
    jmeter/trunk/src/core/org/apache/jmeter/images/status/48x48/
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/19x19/
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/24x24/
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/32x32/
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/48x48/
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/19x19/
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/24x24/
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/32x32/
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/48x48/
Modified:
    jmeter/trunk/bin/jmeter.properties
    jmeter/trunk/src/components/org/apache/jmeter/modifiers/gui/UserParametersGui.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/PropertyControlGui.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SamplerResultTab.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatGraphVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SummaryReport.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/TableVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/TreeNodeRenderer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/ViewResultsFullVisualizer.java
    jmeter/trunk/src/core/org/apache/jmeter/JMeter.java
    jmeter/trunk/src/core/org/apache/jmeter/config/gui/ArgumentsPanel.java
    jmeter/trunk/src/core/org/apache/jmeter/config/gui/SimpleConfigGui.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/AbstractJMeterGuiComponent.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/MainFrame.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/FileListPanel.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterToolBar.java
    jmeter/trunk/src/core/org/apache/jmeter/images/icon.properties
    jmeter/trunk/src/core/org/apache/jmeter/testbeans/gui/TableEditor.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/AuthPanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/CookiePanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/DNSCachePanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/HTTPFileArgsPanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/HeaderPanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/ProxyControlGui.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/visualizers/RequestViewHTTP.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/control/gui/JMSPropertiesPanel.java
    jmeter/trunk/src/protocol/ldap/org/apache/jmeter/protocol/ldap/config/gui/LDAPArgumentsPanel.java
    jmeter/trunk/xdocs/changes.xml





URL: http://svn.apache.org/viewvc?rev=1733721&view=rev
Log:
Use DPI scaling of interface for high resolution devices (HiDPI support for Windows/Linux)

Add missing icons
Bugzilla Id: 58426

Added:
    jmeter/trunk/src/core/org/apache/jmeter/images/status/22x22/pictogram-din-w000-general.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/status/22x22/user-offline-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/status/22x22/user-online-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/status/32x32/pictogram-din-w000-general.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/status/32x32/user-offline-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/status/32x32/user-online-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/status/48x48/pictogram-din-w000-general.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/status/48x48/user-offline-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/status/48x48/user-online-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/19x19/applications-science-3.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/19x19/appointment-new-3.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/19x19/color-picker-grey.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/19x19/document-export-4.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/19x19/document-import-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/19x19/document-preview.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/19x19/office-chart-area.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/19x19/preferences-system-4.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/19x19/system-run-5.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/19x19/view-list-tree-4.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/19x19/view-pim-tasks.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/24x24/applications-science-3.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/24x24/appointment-new-3.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/24x24/color-picker-grey.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/24x24/document-export-4.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/24x24/document-import-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/24x24/document-preview.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/24x24/office-chart-area.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/24x24/preferences-system-4.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/24x24/system-run-5.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/24x24/view-list-tree-4.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/24x24/view-pim-tasks.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/32x32/applications-science-3.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/32x32/appointment-new-3.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/32x32/color-picker-grey.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/32x32/document-export-4.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/32x32/document-import-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/32x32/document-preview.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/32x32/office-chart-area.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/32x32/preferences-system-4.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/32x32/system-run-5.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/32x32/view-list-tree-4.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/32x32/view-pim-tasks.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/48x48/applications-science-3.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/48x48/appointment-new-3.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/48x48/color-picker-grey.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/48x48/document-export-4.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/48x48/document-import-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/48x48/document-preview.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/48x48/office-chart-area.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/48x48/preferences-system-4.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/48x48/system-run-5.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/48x48/view-list-tree-4.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/tree/48x48/view-pim-tasks.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/19x19/security-high-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/19x19/security-low-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/24x24/security-high-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/24x24/security-low-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/32x32/security-high-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/32x32/security-low-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/48x48/security-high-2.png   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/images/vrt/48x48/security-low-2.png   (with props)
Comment 23 Philippe Mouawad 2016-03-05 15:53:11 UTC
Hi milamber,
Thanks for this.

Few improvements proposals:
- HIDPI_MODE and HIDPI_SCALE_FACTOR are initialized and repeated in many components. It would be better to have this in JMeterUtils only once.
- I think it would be better to have a method in ComponentUtil#createTable() that sets the RowHeight for HiDPI mode instead of repeating the code in all classes. Or Something like GuiBuilder.setHiDPIMode(true).

Regards
Comment 24 benoit.wiart 2016-03-05 17:46:38 UTC
Other improvements proposals:
- do not mix image size and hdpi
- use the "standard" of @2x
- use a single code path to load icons : it will allow caller to know nothing about hdpi

for example the caller want to load /status/myimage.png

if in hdpi the icon loader will try to load /status/myimage@2x.png if not found it will fall back to /status/myimage.png

it will allow third party plugins to progressively provide @2x resources
Comment 25 benoit.wiart 2016-03-05 18:18:29 UTC
PR https://github.com/apache/jmeter/pull/160
Comment 26 Milamber 2016-03-05 18:25:45 UTC
URL: http://svn.apache.org/viewvc?rev=1733750&view=rev
Log:
Initialize the HiDPI mode and scale factor into JMeterUtils
Bugzilla Id: 58426

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/modifiers/gui/UserParametersGui.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/PropertyControlGui.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SamplerResultTab.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatGraphVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SummaryReport.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/TableVisualizer.java
    jmeter/trunk/src/core/org/apache/jmeter/config/gui/ArgumentsPanel.java
    jmeter/trunk/src/core/org/apache/jmeter/config/gui/SimpleConfigGui.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/AbstractJMeterGuiComponent.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/FileListPanel.java
    jmeter/trunk/src/core/org/apache/jmeter/testbeans/gui/TableEditor.java
    jmeter/trunk/src/core/org/apache/jmeter/util/JMeterUtils.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/AuthPanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/CookiePanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/DNSCachePanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/HTTPFileArgsPanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/HeaderPanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/ProxyControlGui.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/visualizers/RequestViewHTTP.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/control/gui/JMSPropertiesPanel.java
    jmeter/trunk/src/protocol/ldap/org/apache/jmeter/protocol/ldap/config/gui/LDAPArgumentsPanel.java
Comment 27 Milamber 2016-03-05 18:26:55 UTC
@benoit can you rework your PR #160 with the lastest trunk? (and use applyHiDPI instead of applyHDPI?)
Comment 28 Milamber 2016-03-05 18:30:32 UTC
@benoit (and @Philippe), I'm not sure that use JMeterUtils reference in the ComponentUtil class that a good thing. 

jorphan.jar is outside the JMeter api tree and have no reference to the JMeter API

the applyHiDPI method need to be move inside the JMeter src tree.
Comment 29 Milamber 2016-03-05 18:35:29 UTC
@benoit, I will work on the fix with the Felix comment.

===
It seems, that there are many tables, that need to be treated basically the same:

if (hdpi) {
  table.setRowHeight(factor*round(table.getRowHeight())
}

Wouldn't it be nicer to have a util function JMeterUtils#adaptRowHeight(JTable), that performs the work and replace all those if statements with a call to it?

Regards,
 Felix
====
Comment 30 Milamber 2016-03-05 18:51:54 UTC

URL: http://svn.apache.org/viewvc?rev=1733756&view=rev
Log:
Better code to apploy the HiDPI mode in JTable elements. Thanks Benoit and Felix.
Bugzilla Id: 58426

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/modifiers/gui/UserParametersGui.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/PropertyControlGui.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SamplerResultTab.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatGraphVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SummaryReport.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/TableVisualizer.java
    jmeter/trunk/src/core/org/apache/jmeter/config/gui/ArgumentsPanel.java
    jmeter/trunk/src/core/org/apache/jmeter/config/gui/SimpleConfigGui.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/FileListPanel.java
    jmeter/trunk/src/core/org/apache/jmeter/testbeans/gui/TableEditor.java
    jmeter/trunk/src/core/org/apache/jmeter/util/JMeterUtils.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/AuthPanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/CookiePanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/DNSCachePanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/HTTPFileArgsPanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/HeaderPanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/ProxyControlGui.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/visualizers/RequestViewHTTP.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/control/gui/JMSPropertiesPanel.java
    jmeter/trunk/src/protocol/ldap/org/apache/jmeter/protocol/ldap/config/gui/LDAPArgumentsPanel.java
Comment 31 benoit.wiart 2016-03-07 09:49:58 UTC
hdpi image is coming to jdk9

https://bugs.openjdk.java.net/browse/JDK-8046010
http://openjdk.java.net/jeps/251
Comment 32 benoit.wiart 2016-03-07 09:55:28 UTC
on macos loading @2x resources is supported since jdk8u20

see https://bugs.openjdk.java.net/browse/JDK-8011059

@milamber :
- I don't think the user should choose a different size in the properties to get hdpi support.
- please remove icon_old.properties there's already too many things to be removed in jmeter.
Comment 33 Philippe Mouawad 2016-03-11 20:01:28 UTC
Author: pmouawad
Date: Fri Mar 11 20:00:46 2016
New Revision: 1734624

URL: http://svn.apache.org/viewvc?rev=1734624&view=rev
Log:
Rename issue to make it clear it is not yet HiDPI support
Bugzilla Id: 58426

Modified:
    jmeter/trunk/xdocs/changes.xml
Comment 34 Philippe Mouawad 2016-03-11 20:15:46 UTC
Closing as remaining work will be handled in Bug 59168
Comment 35 Milamber 2016-04-22 08:45:41 UTC
*** Bug 59366 has been marked as a duplicate of this bug. ***